<mat-card class="example-card">
  <mat-card-header class="card-header">
    <div><mat-card-title>{{cat.name}}</mat-card-title>
      <mat-card-subtitle>{{cat.breed}}</mat-card-subtitle>
    </div>
    
    <button mat-icon-button [matMenuTriggerFor]="menu" aria-label="Example icon-button with a menu">
      <mat-icon>more_vert</mat-icon>
    </button>
    <mat-menu #menu="matMenu">
      <button mat-menu-item>
        <mat-icon>share</mat-icon>
        <span>Share</span>
      </button>
      <button mat-menu-item (click)="redirectToEdit()">
        <mat-icon>edit</mat-icon>
        <span>Edit</span>
      </button>
      <button mat-menu-item>
        <mat-icon>delete</mat-icon>
        <span>Delete</span>
      </button>
    </mat-menu>
  </mat-card-header>
  <div class="cat-image-container">
    <img mat-card-image [src]="cat.image" [alt]="cat.imageAlt">
    <!-- <img mat-card-image src="https://material.angular.io/assets/img/examples/shiba2.jpg" alt="Photo of a Shiba Inu"> -->
  </div>
  <mat-card-content>
    <p>
      {{cat.description}}
    </p>
  </mat-card-content>
  <mat-card-actions>
    <div class="container-center">
      <div class="cat-buttons">
        <button mat-button>
          <mat-icon color="accent" (click)="upvote()">thumb_up</mat-icon>
        </button>
        <div>{{cat.likes}}</div>
        <button mat-button>
          <mat-icon color="warn" (click)="downvote()">thumb_down</mat-icon>
        </button>
      </div>
    </div>
  </mat-card-actions>
</mat-card>